# Tool to generate a DICOMDIR file from a File-Set.

## SYNOPSIS

    gdcmgendir [options] file-in file-out

## DESCRIPTION

## PARAMETERS

    file-in   DICOM input filename

    file-out  DICOM output filename

## OPTIONS

### Parameters

### OPTIONS

      -i --input     DICOM filename or directory
      -o --output    DICOM filename or directory
      -r --recursive          recursive.
         --descriptor          descriptor.
         --root-uid               Root UID.
         --resources-path         Resources path.

### general options

      -h   --help
             print this help text and exit

      -v   --version
             print version information and exit

      -V   --verbose
             verbose mode (warning+error).

      -W   --warning
             warning mode, print warning information

      -E   --error
             error mode, print error information

      -D   --debug
             debug mode, print debug information

### environment variable

      GDCM_ROOT_UID Root UID
      GDCM_RESOURCES_PATH path pointing to resources files (Part3.xml, ...)

## Typical usage

## NOTE

One may have to run some preliminary steps in order to get gdcmgendir to generate the DICOMDIR file. Namely two steps:

- Batch renaming of the DICOM filename into something compatible with ISO 9660 filename convention
- Convert all DICOM file into the Explicit VR Little Endian Uncompressed (1.2.840.10008.1.2.1)

Step 1. can be solved in a numerous way. Eg. on UNIX environment this could either be solved using the mkisofs command line tool. filename should not contains any extension since the VR CS does not allow for the '.' character. Only upper case, digit 0-9, the space ' ' and the underscore '_' character are valid in VR CS, with a maximum of 8 bytes. Another simple tool that can be handy is 'rename' in conjunction with 'basename'.

Step 2. can simply be achieved using the gdcmconv command line tool:

      $ for i in `ls IMG*`; do gdcmconv --raw --force $i /tmp/out/$i; done

## SEE ALSO

gdcmconv(1), gdcmanon(1), rename(1)

## COPYRIGHT

Copyright (c) 2006-2009 Mathieu Malaterre